TechDraw BrokenView: Difference between revisions

From FreeCAD Documentation
No edit summary
mNo edit summary
Line 2: Line 2:
<translate>
<translate>


<!--T:1-->
{{Docnav
{{Docnav
|[[TechDraw_View|View]]
|[[TechDraw_View|View]]
Line 12: Line 11:
}}
}}


<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=TechDraw BrokenView
|Name=TechDraw BrokenView
Line 21: Line 19:
}}
}}


== Description == <!--T:3-->
== Description ==


The '''TechDraw BrokenView''' tool inserts a "broken view" based on a) an existing part view, or b) one or more objects, such as bodies or App::Parts. The broken view also requires one or more sketches that define the location and size of the areas to be removed. The BrokenView behaves similarly to other Views. The projection direction is taken from the existing part view, the 3d camera direction or the normal of a selected face.
<!--T:4-->
The '''TechDraw BrokenView''' tool inserts a "broken view" based on a) an existing part view, or b) one or more objects, such as bodies or App::Parts. The broken view also requires one or more sketches that define the location and size of the areas to be removed. The BrokenView behaves similarly to other Views. The projection direction is taken from the existing part view, the 3d camera direction or the normal of a selected face.


</translate>
</translate>
[[Image:TechDraw_BrokenView_example3d.png|350px]]
[[Image:TechDraw_BrokenView_example3d.png|350px]]
<translate>
<translate>
<!--T:5-->
{{Caption|A shape to be broken and the sketches defining the breaks}}
{{Caption|A shape to be broken and the sketches defining the breaks}}

</translate>
</translate>
[[Image:TechDraw_BrokenView_example2d.png|350px]]
[[Image:TechDraw_BrokenView_example2d.png|350px]]
<translate>
<translate>
<!--T:6-->
{{Caption|The result}}
{{Caption|The result}}
</translate>


== Usage ==
<translate>
== Usage == <!--T:8-->


<!--T:9-->
# Select a part view and one or more break sketches in the [[Tree_view|Tree view]]. Breaks are typically described by Sketches, but any object whose shape can be made into an edge will work.
# Select a part view and one or more break sketches in the [[Tree_view|Tree view]]. Breaks are typically described by Sketches, but any object whose shape can be made into an edge will work.
# There are several ways to invoke the tool:
# There are several ways to invoke the tool:
Line 48: Line 41:




== Properties BrokenView == <!--T:10-->
== Properties BrokenView ==


=== Data === <!--T:12-->
=== Data ===


<!--T:13-->
{{TitleProperty|Broken View}}
{{TitleProperty|Broken View}}


<!--T:14-->
* {{PropertyData|Breaks}}: Objects in the 3d view that define the start/end points and direction of breaks in this view.
* {{PropertyData|Breaks}}: Objects in the 3d view that define the start/end points and direction of breaks in this view.
* {{PropertyData|Gap}}: The separation distance for breaks in this view (unscaled 3d length).
* {{PropertyData|Gap}}: The separation distance for breaks in this view (unscaled 3d length).


== Notes == <!--T:15-->
== Notes ==


<!--T:16-->
* Breaks must be vertical or horizontal. Oblique breaks are not supported.
* Breaks must be vertical or horizontal. Oblique breaks are not supported.


See also [[TechDraw_View#Notes|TechDraw View]]
See also [[TechDraw_View#Notes|TechDraw View]]


== Scripting == <!--T:17-->
== Scripting ==


<!--T:18-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:19-->
A BrokenView can be created with [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:
A BrokenView can be created with [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:


Line 85: Line 73:
brokenView.Source= box
brokenView.Source= box
brokenView.Breaks = [doc.Sketch]
brokenView.Breaks = [doc.Sketch]

}}
}}
<translate>
<translate>



<!--T:20-->
{{Docnav
{{Docnav
|[[TechDraw_View|View]]
|[[TechDraw_View|View]]
Line 100: Line 87:


</translate>
</translate>
{{TechDraw Tools navi{{#translation:}}}}
{{TechDraw_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 07:51, 10 April 2024

Other languages:

TechDraw BrokenView

Menu location
TechDraw → TechDraw Views → Insert BrokenView
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.22
See also
TechDraw Section, TechDraw View, TechDraw Projection Group

Description

The TechDraw BrokenView tool inserts a "broken view" based on a) an existing part view, or b) one or more objects, such as bodies or App::Parts. The broken view also requires one or more sketches that define the location and size of the areas to be removed. The BrokenView behaves similarly to other Views. The projection direction is taken from the existing part view, the 3d camera direction or the normal of a selected face.

A shape to be broken and the sketches defining the breaks

The result

Usage

  1. Select a part view and one or more break sketches in the Tree view. Breaks are typically described by Sketches, but any object whose shape can be made into an edge will work.
  2. There are several ways to invoke the tool:
    • Press the Insert BrokenView button.
    • Select the TechDraw → TechDraw Views → Insert Broken View option from the menu.


Properties BrokenView

Data

Broken View

  • DataBreaks: Objects in the 3d view that define the start/end points and direction of breaks in this view.
  • DataGap: The separation distance for breaks in this view (unscaled 3d length).

Notes

  • Breaks must be vertical or horizontal. Oblique breaks are not supported.

See also TechDraw View

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

A BrokenView can be created with macros and from the Python console by using the following functions:

doc = FreeCAD.ActiveDocument
box = doc.Box
profile = doc.Sketch
page = doc.Page

brokenView = doc.addObject("TechDraw::DrawBrokenView", "BrokenView")
page.addView(brokenView)
brokenView.Source= box
brokenView.Breaks = [doc.Sketch]